:root {
    --grid-columns: 1fr 1fr;
  }
  
  ::-webkit-scrollbar {
    width: 10px;
  }
  
  ::-webkit-scrollbar-track {
    background: #15171d;
    width: 23px;
  }
  
  ::-webkit-scrollbar-thumb {
    border-radius: 3px;
    background: #15171d;
    border-right: 3px #00efe580 solid;
    background-clip: padding-box;
  }
  
  #myInput::selection {
    color: none;
    background: none;
  }
  
  /* For Mozilla Firefox */
  #myInput::-moz-selection {
    color: none;
    background: none;
  }
  
  .payment_amount .active {
    background-color: var(--primary-text);
    color: var(--surface-light-surface);
  }
  
  .pageContent * {
    font-family: "Roboto";
    font-weight: var(--fw-500);
  }
  
  [page="wallet"] .pageContent {
    background-color: #1d2129;
    padding: 0 0 80px 0;
  }
  
  .center_element {
    display: -ms-grid;
    display: grid;
    place-items: center;
  }
  
  .inpError {
    color: var(--error-main) !important;
  }
  
  .deposit {
    /* max-width: 700px; */
    /* margin: 0 auto; */
  }
  
  .grid_container {
    display: grid;
    grid-template-columns: var(--grid-columns);
    grid-gap: 8px;
  }
  
  .paymentItem .paymentContent img {
    width: 100%;
    height: auto;
  }
  
  .deposit_title.arrow_left:before {
    content: "";
    padding: 0px;
    font-size: 26px;
    color: #2595e2;
    vertical-align: top;
    width: 15px;
    height: 30px;
    position: absolute;
    left: 0;
    top: 0;
    background: url(/images/arrow-2.png);
    background-repeat: no-repeat;
    background-position: left center;
  }
  
  .nav_wallet_deposit {
    width: min(350px, 100%);
    display: grid;
    grid-template-columns: max-content auto;
    grid-template-rows: 20px;
    margin: 0px auto 20px;
    padding-top: 13px;
    cursor: pointer;
  }
  
  .nav_wallet_deposit > *:nth-child(1) {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
  }
  
  .nav_wallet_deposit > *:nth-child(2) {
    -ms-grid-row: 1;
    -ms-grid-column: 2;
  }
  
  #wallet .balancesuma {
    font-size: var(--fs-body3);
    font-weight: var(--fw-500);
    color: var(--secondary-text);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    letter-spacing: var(--ls-012);
    line-height: var(--lh-18);
  }
  
  #wallet .balancesuma > span {
    font-size: var(--fs-body1);
    font-weight: var(--fw-bold);
    color: var(--primary-text);
  }
  
  #wallet .totalbalance {
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
  }
  
  #wallet .paymentItem {
    background-color: var(--surface-surface);
    border-radius: 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    cursor: pointer;
    grid-row: span 3;
  }
  
  #wallet .headerPaymentConteiner {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 5px 5px 0 10px;
  }
  
  #wallet .paymentContent {
    margin-bottom: 7px;
  }
  
  #wallet .wallet_main {
    padding: 0 13px;
    justify-content: center;
  }
  
  #wallet .depositButton,
  #wallet .informationButton {
    margin: var(--btn-margin-8);
    width: -webkit-fill-available;
  }
  
  .nav_wallet_deposit span.deposit_title {
    font-size: var(--fs-body3-12);
    color: var(--secondary-text);
    grid-column: 2 / -1;
    grid-row: 1 / -1;
    line-height: 16px; /* 133.333% */
    letter-spacing: 0.4px;
  }
  
  .nav_wallet_deposit span.deposit_name {
    font-size: var(--fs-body1-16);
    color: var(--primary-text);
    grid-column: 2 / -1;
    grid-row: 2 / -1;
    line-height: 24px; /* 150% */
    letter-spacing: 0.2px;
  }
  
  .nav_wallet_deposit img.deposit_arrow {
    display: block;
    width: 10px;
    height: auto;
    -ms-grid-row: 1;
    -ms-grid-row-span: 2;
    grid-row: 1 / 3;
    margin-right: 18px;
    -ms-grid-row-align: center;
    align-self: center;
  }
  .nav_wallet_deposit i.deposit_arrow {
    grid-row: 1 / 3;
    margin-right: 18px;
    -ms-grid-row-align: center;
    align-self: center;
    padding: 0;
    font-size: 20px;
    font-weight: bold;
    color: var(--primary-main);
  }
  
  #wallet .totalbalance .line {
    display: block;
    width: 1px;
    background-color: #e6f1ff1a;
  }
  
  .paymentItem .headerPaymentConteiner span {
    width: 100%;
    font-size: var(--fs-body2);
    color: var(--primary-text);
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
  }
  
  .paymentItem .paymentContent p {
    font-size: var(--fs-overline-10);
    color: var(--primary-text);
    font-weight: var(--fw-400);
    margin-top: 6px;
  }
  
  .payment_type {
    padding: 0;
    max-width: 365px;
    margin: 0 auto;
  }
  
  .payment_type .payment_logo {
    max-width: 186px;
    height: auto;
    margin: 0 auto;
  }
  
  .payment_type .payment_logo img.logo {
    width: 100%;
    height: auto;
    display: block;
  }
  
  .payment_type .payment_amount {
    display: flex;
    margin: 23px 0 15px;
  }
  
  .payment_type .payment_amount .btn:not(:last-child) {
    margin-right: 5px;
  }
  
  input#payment_input,
  input#payment_email {
    margin: 0;
    border-bottom: 1px solid var(--primary-border-bot);
  }
  
  .payment_amount_email {
    margin-bottom: 29px;
  }
  
  .payment_type .payment_method_info {
    font-size: var(--fs-body3);
    color: var(--secondary-text);
    margin: 55px 0 40px;
    letter-spacing: var(--ls-012);
    line-height: var(--lh-20);
    font-weight: var(--fw-400);
  }
  
  i.icon-Info {
    font-size: 20px;
    color: var(--primary-main);
    cursor: pointer;
  }
  
  .iframemassage * {
    font-family: "Roboto";
    font-weight: var(--fw-400);
  }
  
  .iframemassage {
    max-width: 320px;
    padding: 0;
    margin: 0 auto;
    max-height: 95%;
    background-color: var(--surface-surface);
  }
  
  .iframemassage .paymentInfo {
    padding: 40px 0px 0px;
  }
  
  .iframemassage .paymentInfo .shadow {
    max-width: 264px;
    height: 29px;
    background: #0000001a 0% 0% no-repeat padding-box;
    -webkit-filter: blur(4px);
    filter: blur(4px px);
    margin: 11px auto 11px;
    border-radius: 50%;
    display: none;
  }
  
  .iframemassage .paymentInfo .paymentMethodHeader {
    position: absolute;
    top: 0;
    right: 0px;
    width: 60px;
    height: 60px;
    z-index: 99999999;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .iframemassage .paymentInfo .paymentMethodHeader i {
    font-size: 16px;
    color: var(--primary-main);
    cursor: pointer;
    width: 100%;
    height: 100%;
    padding-top: 30%;
  }
  
  .iframemassage .paymentInfo .paymentName {
    font-size: var(--fs-Headline4);
    color: var(--primary-text);
  }
  
  .iframemassage .paymentInfo .paymentImg img {
    display: block;
    width: min(300px, 100%);
    height: auto;
    margin: -30px auto 0;
  }
  
  .iframemassage .paymentInfo .paymentDetails .paymentMethodInfo {
    display: flex;
    flex-direction: column;
    align-items: self-start;
  }
  
  .iframemassage .paymentInfo .paymentDetails .paymentMethodInfo > div {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid rgba(230, 241, 255, 0.16);
    margin-bottom: 3px;
  }
  
  .iframemassage .paymentInfo .paymentDetails {
    margin-top: 20px;
    padding: 0 20px 30px;
  }
  
  .iframemassage .paymentInfo .paymentDetails .paymentMethodInfo > div > span {
    font-size: var(--fs-caption-12);
    color: var(--secondary-text);
    line-height: 16px;
  }
  
  .iframemassage .paymentInfo .paymentDetails .paymentMethodInfo > div > p {
    font-size: var(--fs-body2);
    color: var(--primary-text);
    line-height: 20px;
    padding: 0 0 5px 0;
  }
  
  .iframemassage .paymentInfo .paymentDescription {
    text-align: start;
    margin-top: 30px;
  }
  
  .iframemassage .paymentInfo .paymentDescription > span {
    display: block;
    font-size: var(--fs-caption-12);
    color: var(--primary-text-opc-04);
    margin-bottom: 11px;
    display: none;
  }
  
  .iframemassage .paymentInfo .paymentDescription > p {
    font-size: var(--fs-Subtitle2);
    color: var(--secondary-text-opc-07);
    letter-spacing: var(--ls-017);
    line-height: var(--lh-20);
  }
  
  .easyPay .name {
    display: inline-block;
    font-size: var(--fs-Headline5);
    color: var(--primary-text);
    letter-spacing: 0.15px;
    line-height: 20px;
  }
  
  .easyPay p.description {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-ordinal-group: 2;
    -ms-flex-order: 1;
    order: 1;
    font-size: var(--fs-body3-12);
    color: var(--secondary-text);
    margin-top: 50px;
    /* max-width: 290px; */
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    font-weight: var(--fw-400);
    line-height: var(--lh-18);
    letter-spacing: 0.2px;
  }
  
  .copy_wrapper {
    width: 100%;
  }
  
  .input_wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }
  
  .easyPay {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: calc(100vh - 51px);
  }
  
  .btn_copy i.icon-copy {
    font-size: 20px;
    color: var(--primary-main);
  }
  
  .btn_copy {
    background: none;
  }
  
  .easyPay .copy_wrapper span {
    display: block;
    text-align: center;
  }
  
  .easyPay .payment_logo {
    max-width: 140px;
    height: auto;
    margin-bottom: 29px;
  }
  
  .easyPay .payment_logo img {
    width: 100%;
    height: auto;
  }
  
  .payment_submit_wrapper {
    position: -webkit-sticky;
    position: -moz-sticky;
    position: -o-sticky;
    position: -ms-sticky;
    position: sticky;
    width: 100%;
    height: auto;
    bottom: 0;
    margin-bottom: 30px;
    z-index: 1;
    background-color: var(--surface-surface);
  }
  
  .payment_submit_wrapper::before {
    content: "";
    position: absolute;
    top: -22px;
    left: 0;
    background: transparent linear-gradient(180deg, #1d212900 0%, var(--surface-surface) 100%) 0% 0% no-repeat padding-box;
    width: 100%;
    height: 22px;
  }
  
  .payment_submit {
    -webkit-column-gap: 15px;
    -moz-column-gap: 15px;
    column-gap: 15px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }
  
  [page="wallet"] section.pageContent .side.center.mobile {
    width: 100;
    min-width: 100%;
    min-height: 100%;
    overflow: unset;
  }
  
  .payment_type.А1 input#payment_input {
    color: var(--primary-text);
  }
  
  /* DESKTOP */
  body.desktop section.pageContent .side.left {
    height: 100%;
  }
  
  body.desktop .left_menu {
    height: 100%;
  }
  
  body.desktop .walletContent {
    width: min(840px, 100%);
    margin: 0 auto;
  }
  
  body.desktop .walletForm {
    max-width: 365px;
  }
  
  body.desktop .userMenu {
    width: 100%;
    background-color: var(--surface-surface);
    height: 100%;
    padding-top: 21px;
  }
  
  body.desktop .userMenu h3 {
    font-size: 14px;
    font-style: italic;
    padding-left: 7px;
    margin: 0 0 15px 20px;
    line-height: 18px;
    position: relative;
    color: var(--primary-text);
  }
  
  body.desktop .userMenu h3::before {
    display: block;
    content: "";
    position: absolute;
    top: 0;
    left: -7px;
    width: 2px;
    height: 100%;
    background-color: var(--primary-main);
    -webkit-box-shadow: 0px 0px 6px var(--primary-main);
    box-shadow: 0px 0px 6px var(--primary-main);
    border-radius: 2px;
  }
  
  body.desktop .userMenu ul > li.activMenu {
    -webkit-box-shadow: 0px 3px 6px #00000029;
    box-shadow: 0px 3px 6px #00000029;
    border-radius: 5px;
    background-color: var(--surface-overlay);
  }
  
  body.desktop .userMenu ul > li {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    height: 43px;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 213px;
    margin: 0 auto;
  }
  
  body.desktop .userMenu ul > li.activMenu i {
    color: var(--primary-main);
  }
  
  body.desktop .userMenu ul > li.activMenu i {
    opacity: 100%;
  }
  
  body.desktop .userMenu ul > li img,
  body.desktop .userMenu ul > li i {
    font-size: 17px;
    margin: 0 18px;
    opacity: 70%;
    width: 20px;
    display: -ms-grid;
    display: grid;
    place-content: center;
  }
  
  body.desktop .userMenu ul > li a {
    font-size: 14px;
    color: var(--secondary-text);
  }
  
  body.desktop .userMenu ul > li.activMenu a {
    color: var(--primary-text);
  }
  
  label.currency_symbol-label {
    position: absolute;
    bottom: 9px;
    right: 12px;
    font: normal normal normal 15px/18px px "Roboto";
    letter-spacing: 0.12px;
    color: var(--secondary-text);
  }
  
  .walletTab .walletForm {
    max-width: 365px;
    margin: 0 auto;
    padding: 0 38px;
  }
  
  .walletTab #promoSelScreen,
  .walletTab #promoCashoutScreen {
    display: grid;
    width: min(352px, 100%);
    grid-template-columns: 1fr 1fr;
    grid-gap: var(--grid-gap-size);
    grid-template-rows: repeat(auto-fit, 40px);
    margin: 0 auto;
  }
  
  .payment-info-img {
    width: 76%;
    height: auto;
    display: block;
    margin: 0 auto 100px;
  }
  
  .easy_pay_btn {
    order: 1;
    margin: 37px auto 0;
  }
  
  .mobile[page="wallet"] .framedform .framedcontent {
    top: 50px;
    padding: 20px 0 0;
  }
  
  /* RCPU TO ADD BEGIN */
  .mobile[page="wallet"] .framedform[data-content="rage_click"] .framedcontent {
    position: relative;
    padding: 95px 15px 15px;
    width: 100%;
    height: 100%;
  }
  /* RCPU TO ADD END */
  
  .mobile .framedcontent img.exit {
    display: block;
    margin: 0px 15px 15px auto;
  }
  
  @media screen and (min-width: 901px) {
    body[page="wallet"] section.pageContent .side.center.desktop {
      display: block;
      margin-left: 300px;
    }
  
    .walletTab .walletContent {
      /* max-width: 100% !important; */
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-gap: 70px;
      margin: 25px 0 0 0;
    }
  
    body.desktop .userMenu > div {
      position: -webkit-sticky;
      position: -moz-sticky;
      position: -o-sticky;
      position: -ms-sticky;
      position: sticky;
      top: 91px;
    }
  
    .paymentItem_active {
      background: transparent -o-linear-gradient(215deg, #006afa 0%, #00357d 100%) 0% 0% no-repeat padding-box;
      background: transparent linear-gradient(235deg, #006afa 0%, #00357d 100%) 0% 0% no-repeat padding-box;
      box-shadow: 0px 0px 0px 1px var(--primary-main) inset;
    }
  
    .wallet_header {
      padding: 25px 0 0 10px;
    }
  
    .walletTab .walletForm {
      padding: 0;
    }
  
    #wallet {
      padding: 13px 13px 63px;
    }
  
    .nav_wallet_deposit {
      width: min(846px, 100%);
    }
  
    #wallet .totalbalance {
      width: 100%;
      max-width: 365px;
      height: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-pack: start;
      -ms-flex-pack: start;
      justify-content: flex-start;
      -webkit-column-gap: 20px;
      -moz-column-gap: 20px;
      column-gap: 20px;
    }
  
    div#wallet {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      max-width: 100%;
      padding: 0;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
      -ms-flex-direction: column;
      flex-direction: column;
      -webkit-box-pack: justify;
      -ms-flex-pack: justify;
      justify-content: space-between;
      margin: 0;
    }
  
    .deposit {
      /* max-width: inherit; */
      /* margin: 0 0 0 auto; */
    }
  
    .wallet_main {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-column-gap: 80px;
      -moz-column-gap: 80px;
      column-gap: 80px;
    }
  
    .grid_container {
      grid-gap: 15px;
      grid-template-columns: repeat(2, minmax(170px, 194px));
    }
  
    .walletForm,
    .walletContent {
      width: 100%;
    }
  
    div#wallet {
      padding: 21px 0 0 0;
    }
  
    .payment_type {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
      -ms-flex-direction: column;
      flex-direction: column;
    }
  
    .payment_name {
      font-size: var(--fs-Headline5);
      color: var(--primary-text);
      font-weight: var(--fw-bold);
      line-height: var(--lh-22);
      letter-spacing: 0.15px;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-ordinal-group: 0;
      -ms-flex-order: -1;
      order: -1;
    }
  
    .payment_type .payment_method_info {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-ordinal-group: 0;
      -ms-flex-order: -1;
      order: -1;
      margin: 25px 0;
      font-size: var(--fs-body3-12);
      letter-spacing: var(--ls-017);
      line-height: var(--lh-18);
      flex-direction: column;
      font-weight: var(--fw-400);
    }
  
    .payment_submit_wrapper {
      all: unset;
    }
  
    .payment_submit_wrapper::before {
      content: none;
    }
  
    .information_button,
    .payment_submit {
      margin-top: 69px;
    }
  
    .easyPay .name {
      /* margin: 25px 0; */
    }
  
    #wallet .paymentItem {
      justify-content: center;
      padding: 0;
    }
  
    .paymentItem .headerPaymentConteiner span {
      font-size: var(--fs-body2-14);
      color: var(--primary-text);
      letter-spacing: 0px;
    }
  
    i.icon-Info {
      font-size: 22px;
    }
  
    #wallet .headerPaymentConteiner {
      padding: 5px 5px 0 9px;
    }
  
    .paymentItem .paymentContent img {
      width: auto;
      max-width: 180px;
      height: auto;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      margin: 0 auto;
    }
  
    .easyPay {
      align-items: flex-start;
    }
  
    .easyPay p.description {
      display: flex;
      order: 0;
      text-align: left;
      margin: 0 0 60px 0;
    }
  
    .easy_pay_btn {
      max-width: 182px;
      margin: 25px auto 0;
    }
  
    div#А1-code-container .payment_method_info {
      margin: 30px 0 30px;
    }
  
    div#А1-code-container .payment_submit {
      margin: 195px 0 0;
    }
  
    .walletTab #promoSelScreen,
    .walletTab #promoCashoutScreen {
      width: min(410px, 100%);
      margin: 0;
      height: calc(100vh - calc(100vh - calc(4 * 156px)));
      overflow: hidden;
      overflow-y: auto;
    }
  
    .payment-info-img {
      margin: 50px 0 0 0;
      width: 60%;
      height: auto;
    }
  
    .iframe-container {
      max-width: 90%;
    }
  }
  
  .iframemassage img.payment-info-img {
    margin: 28px auto 30px;
  }
  
  /* error  undefined warning success*/
  
  .framedform[data-content="message"] .framedcontent .iframemassage {
    width: min(100%, 328px);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    border-radius: 20px;
  }
  
  .framedform[data-status="error"] .framedcontent .iframemassage,
  .framedform[data-status="undefined"] .framedcontent .iframemassage,
  .framedform[data-status="warning"] .framedcontent .iframemassage {
    background: transparent -o-linear-gradient(210deg, #ba2062 0%, #882534 100%) 0% 0% no-repeat padding-box;
    background: transparent linear-gradient(240deg, #ba2062 0%, #882534 100%) 0% 0% no-repeat padding-box;
  }
  
  .framedform[data-content="message"] .framedcontent .iframemassage .imgContainer {
    display: -ms-grid;
    display: grid;
    place-content: center;
    background-image: url(/images/Popup_Backgr_Circles.png?);
    padding: 50px 0 47px 0;
    position: relative;
  }
  
  .framedform[data-status="error"] .framedcontent .iframemassage .imgContainer::before,
  .framedform[data-status="undefined"] .framedcontent .iframemassage .imgContainer::before,
  .framedform[data-status="warning"] .framedcontent .iframemassage .imgContainer::before {
    display: block;
    content: "";
    position: absolute;
    width: 100%;
    height: 70%;
    bottom: -20px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    background: transparent -o-radial-gradient(50% 50%, closest-side, #ff4a4a 0%, #ff5d5d48 66%, #ff8e8e12 81%, var(--error-main) 00 100%) 0% 0% no-repeat padding-box;
    opacity: 0.7;
  }
  
  .framedform[data-content="message"] .framedcontent .iframemassage .imgContainer i {
    font-size: 105px;
    color: var(--primary-text);
  }
  
  .framedform[data-content="message"] .framedcontent .iframemassage .imgContainer::after {
    display: block;
    content: "";
    position: absolute;
    width: 172px;
    height: 22px;
    bottom: 10px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    background: transparent -o-radial-gradient(50% 50%, closest-side, #00000066 0%, rgb(0 0 0 / 0%) 100%) 0% 0% no-repeat padding-box;
    background: transparent radial-gradient(closest-side at 50% 50%, #00000066 0%, rgb(0 0 0 / 0%) 100%) 0% 0% no-repeat padding-box;
  }
  
  .framedform[data-content="message"] .framedcontent .iframemassage .textContainer {
    font-size: var(--fs-Headline4);
    font-weight: var(--fw-bold);
    color: #e6edf7e6;
    line-height: 24px;
    text-align: center;
    padding: 20px;
  }
  
  .framedform[data-status="error"] .framedcontent .iframemassage .textContainer,
  .framedform[data-status="undefined"] .framedcontent .iframemassage .textContainer,
  .framedform[data-status="warning"] .framedcontent .iframemassage .textContainer {
    background: transparent -o-linear-gradient(213deg, #891f44 0%, #7e1635 100%) 0% 0% no-repeat padding-box;
    background: transparent linear-gradient(237deg, #891f44 0%, #7e1635 100%) 0% 0% no-repeat padding-box;
  }
  
  .framedform[data-content="message"] .framedcontent .iframemassage .textContainer h1 {
    font-size: var(--fs-Headline4);
    margin: 0 0 15px 0;
    color: #e6edf7;
  }
  
  .framedform[data-content="message"] .framedcontent .iframemassage .textContainer p {
    font-size: var(--fs-Subtitle2);
    font-weight: var(--fw-500);
    color: var(--disabled-text);
  }
  
  .framedform[data-content="message"] .framedcontent .iframemassage .buttonContainer {
    width: 100%;
    height: 73px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
  
  .framedform[data-status="error"] .framedcontent .iframemassage .buttonContainer,
  .framedform[data-status="undefined"] .framedcontent .iframemassage .buttonContainer,
  .framedform[data-status="warning"] .framedcontent .iframemassage .buttonContainer {
    background: transparent -o-linear-gradient(213deg, #891f44 0%, #7e1635 100%) 0% 0% no-repeat padding-box;
    background: transparent linear-gradient(237deg, #891f44 0%, #7e1635 100%) 0% 0% no-repeat padding-box;
  }
  
  .iframebuttonmessages {
    margin: var(--btn-margin-12);
  }
  
  .framedform[data-content="message"][data-status="success"] .framedcontent .iframemassage {
    background: transparent -o-linear-gradient(210deg, #00ba6c 0%, #027c7c 100%) 0% 0% no-repeat padding-box;
    background: transparent linear-gradient(240deg, #00ba6c 0%, #027c7c 100%) 0% 0% no-repeat padding-box;
  }
  
  .framedform[data-content="message"][data-status="success"] .framedcontent .iframemassage .textContainer,
  .framedform[data-content="message"][data-status="success"] .framedcontent .iframemassage .buttonContainer {
    background: transparent -o-linear-gradient(213deg, #008b56 0%, #01625b 100%) 0% 0% no-repeat padding-box;
    background: transparent linear-gradient(237deg, #008b56 0%, #01625b 100%) 0% 0% no-repeat padding-box;
  }
  
  .walletTab.non-out.center {
    margin: 0 auto;
  }
  
  .walletTab .walletMenu {
    display: grid;
    width: 45%;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: var(--grid-gap-size);
  }
  
  body.mobile .walletTab .walletMenu {
    display: grid;
    width: 100%;
  }
  
  body.mobile .walletTab .paymentItem {
    display: grid;
    /* width: 170px; */
    height: auto;
    align-content: space-between;
    padding: 0;
  }
  
  body.mobile .footerPayment {
    display: unset;
  }
  
  body.mobile .walletTab.non-out.center {
    width: 100%;
  }
  
  .walletTab .paymentItem {
    grid-row-end: span 1;
    background-color: var(--surface-surface);
    border-radius: 15px;
    padding: 7px;
    cursor: pointer;
  }
  
  .walletTab .paymentItem .paymentContent {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
  }
  
  .walletTab .headerPaymentConteiner {
    display: flex;
    justify-content: space-between;
  }
  
  .walletTab .paymentItem_active {
    background: transparent -o-linear-gradient(215deg, #006afa 0%, #00357d 100%) 0% 0% no-repeat padding-box;
    background: transparent linear-gradient(235deg, #006afa 0%, #00357d 100%) 0% 0% no-repeat padding-box;
    box-shadow: 0px 0px 0px 1px var(--primary-main) inset;
  }
  
  .walletForm .copy_wrapper #myInput {
    border: none;
    background: transparent;
    font-size: var(--fs-Headline3);
    color: var(--primary-text);
    letter-spacing: 0px;
    font-weight: bold;
    line-height: 28px;
    padding: 0;
    margin: 10px 14px 10px 0;
    min-height: auto;
    width: max-content;
  }
  
  .copied {
    margin: 10px auto 60px;
  }
  
  .walletForm .payment_type .payment_method_info {
    display: block;
  }
  
  .walletForm #payment_input.input-default.error {
    margin: 0 0 15px 0;
  }
  
  .walletForm .inpError {
    left: 11px !important;
    top: 60px !important;
  }
  
  .activ {
    background: var(--primary-text) !important;
    color: #15171df2 !important;
    box-shadow: 3px 6px 10px #0000004d;
  }
  
  body .framedform[data-content="iframe"] .framedcontent {
    padding: 0 15%;
    top: 70px;
  }
  
  body.mobile .framedform[data-content="iframe"] .framedcontent {
    padding: 0 15px;
    top: 50px;
  }
  
  .walletTab .user-bonus {
    display: flex;
    justify-content: space-between;
  }
  
  .inpError:focus-within + .hints,
  .inpError:not(:focus-within) + .hints {
    display: none;
  }
  
  .inpError:focus-within ~ .input-label,
  .inpError:not(:focus-within) ~ .input-label {
    color: var(--error-main) !important;
  }
  
  .desktop .iframe-container {
    width: 100%;
    max-width: 100%;
    min-height: 100%;
    height: 90%;
    margin: 0 auto;
    overflow: unset;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    padding: 0 10vw;
  }
  
  @media only screen and (max-width: 480px) {
    .desktop .iframe-container {
      padding: 0;
    }
  }
  
  .iframe-container iframe {
    border-radius: 10px;
    height: 100%;
    position: static;
  }
  
  .framedcontent img.exit {
    display: block;
    margin: 0px 0 20px auto;
  }
  
  @media (min-width: 768px) {
    [data-content="PAYSYSAPCOFASTPAY"] .iframe-container {
      max-width: 100% !important;
      height: 100%;
      max-height: 910px;
      padding-bottom: 70px;
    }
  }
  
  @media (min-width: 576px) {
    [data-content="PAYSYSAPCOFASTPAY"] .iframe-container {
      max-width: 100% !important;
    }
  }
  
  @media (min-width: 1200px) {
    [data-content="PAYSYSAPCOFASTPAY"] .iframe-container {
      max-width: 800px !important;
    }
  }
  